CRM V4
Opportunities
GET
Retrieve CRM V4 opportunities with stage, deal amount, owner, and lifecycle timestamps.
Filters:
organizationId(required)integrationId(optional)boardId,columnId,phaseTypetype(OPPORTUNITY, EXPANSION, ACQUISITION)ownerIdcreatedStart,createdEnd
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
integrationId?stringIntegration identifier (optional)
boardId?stringBoard (pipeline) identifier (optional)
columnId?stringStage (column) identifier (optional)
phaseType?stringStage phase type (optional)
type?stringBoard type of the card: OPPORTUNITY, EXPANSION or ACQUISITION (optional)
ownerId?stringOwner (responsible user) identifier (optional)
createdStart?stringCreation date range start (optional)
Format
date-timecreatedEnd?stringCreation date range end (optional)
Format
date-timepage?integerPage number (default: 1)
Range
1 <= valueDefault
1limit?integerResults per page (default: 500, max: 5000)
Range
1 <= value <= 5000Default
500Successful response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/crm-v4/opportunities?organizationId=organization_123"{ "data": [ { "id": "string", "board_id": "string", "title": "string", "company_name": "string", "type": "string", "column_id": "string", "column_title": "string", "phase_type": "string", "owner_id": "string", "owner_name": "string", "total_deal_amount": 0, "sales_date": "2019-08-24T14:15:22Z", "lost_date": "2019-08-24T14:15:22Z", "labels": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "tenant_id": "string", "integration_id": "string", "organization_id": "string", "user_id": "string", "document_id": "string", "inserted_at": "2019-08-24T14:15:22Z", "integration_name": "string" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}